View Issue Details

IDProjectCategoryView StatusLast Update
0004086SOGoBackend Address Bookpublic2017-04-21 12:33
Reporterstenaloom Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version3.2.7 
Fixed in Version3.2.9 
Summary0004086: Cannot sync global address book
Description

I cannot sync the address book to either Outlook or Android (using Cardav adapters). Error from sogo.log:

EXCEPTION: <NSException: 0x7f1c93c12990> NAME:NSInvalidArgumentException REASON:GSInlineArray(instance) does not recognize escapedForCards INFO:(null)

TagsNo tags attached.

Relationships

related to 0004028 resolvedfrancis LDAP Entries with multiple Organization fails 

Activities

Christian Mack

Christian Mack

2017-03-17 04:28

developer   ~0011501

Last edited: 2017-03-17 04:31

View 2 revisions

Which cardDAV Adaptors are you using?
If you use LDAP, did you set listRequiresDot = NO; in your sogo.conf?

stenaloom

stenaloom

2017-03-17 05:01

reporter   ~0011503

Tried with both Yes and No, same result.

I am using
Outlook CalDav Synchronizer
CardDAV-Sync free

stenaloom

stenaloom

2017-03-17 05:15

reporter   ~0011504

Might it be because we have multiple e-mail addresses defined for some users in LDAP?

Christian Mack

Christian Mack

2017-03-17 05:42

developer   ~0011505

No, we too have that.
We only search in the global address book (listRequiresDot = YES), as we do not want to synchronize 20,000 accounts.
But escaping is the same for results.

stenaloom

stenaloom

2017-03-17 09:19

reporter   ~0011507

Whether listRequiresDot is Yes or No, It still scans through all the entries when syncing (I can see that from the log). I can see from the Web interface that the parameter is working correctly (it either displays all the contacts or the search option only).

stenaloom

stenaloom

2017-03-17 09:22

reporter   ~0011508

Last edited: 2017-03-17 09:22

View 2 revisions

Mar 17 15:21:19 sogod [15219]: <0x0x7f1c94b31860[NGLdapConnection]> Using ldap_initialize for LDAP URL: ldaps://*
2017-03-17 15:21:19.489 sogod[15219] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'ou=people,ou=accounts,dc=mooncascade,dc=net' filter '(uid=anton)' for attrs ''
Mar 17 15:21:19 sogod [15219]: <0x0x7f1c93ff82b0[NGLdapConnection]> Using ldap_initialize for LDAP URL: ldaps://

2017-03-17 15:21:19.668 sogod[15219] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'ou=people,ou=accounts,dc=mooncascade,dc=net' filter '(uid=monika)' for attrs '*'
Mar 17 15:21:19 sogod [15219]: <0x0x7f1c93e34840[NGLdapConnection]> Using ldap_initialize for LDAP URL: ldaps://*
2017-03-17 15:21:19.861 sogod[15219] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'ou=people,ou=accounts,dc=mooncascade,dc=net' filter '(uid=britt)' for attrs ''
Mar 17 15:21:19 sogod [15219]: <0x0x7f1c93f25de0[NGLdapConnection]> Using ldap_initialize for LDAP URL: ldaps://

2017-03-17 15:21:20.029 sogod[15219] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'ou=people,ou=accounts,dc=mooncascade,dc=net' filter '(uid=mark)' for attrs '*'
2017-03-17 15:21:20.060 sogod[15219] EXCEPTION: <NSException: 0x7f1c93f2baf0> NAME:NSInvalidArgumentException REASON:GSInlineArray(instance) does not recognize escapedForCards INFO:(null)
Mar 17 15:21:20 sogod [15219]: |SOGo| request took 8.762490 seconds to execute
Mar 17 15:21:20 sogod [15219]: *** "PROPFIND /SOGo/dav/sten/Contacts/public/ HTTP/1.1" 501 0/304 8.802 - - 0

stenaloom

stenaloom

2017-03-17 09:36

reporter   ~0011509

I found the problem. We have a field called location and some users had double entries there.

Related Changesets

sogo: master 513d81eb

2017-04-21 12:31:18

ludovic

Details Diff
(fix) LDIF to vCard conversion for non-handled multi-value attributes (fixes 0004086) Affected Issues
0004086
mod - NEWS Diff File
mod - SOPE/NGCards/CardElement.h Diff File
mod - SOPE/NGCards/CardElement.m Diff File
mod - SoObjects/Contacts/NGVCard+SOGo.m Diff File
mod - SoObjects/Contacts/SOGoContactLDIFEntry.h Diff File
mod - SoObjects/Contacts/SOGoContactLDIFEntry.m Diff File
mod - SoObjects/SOGo/NSDictionary+Utilities.h Diff File
mod - SoObjects/SOGo/NSDictionary+Utilities.m Diff File
mod - UI/Contacts/UIxContactView.m Diff File

Issue History

Date Modified Username Field Change
2017-03-16 10:49 stenaloom New Issue
2017-03-17 04:28 Christian Mack Note Added: 0011501
2017-03-17 04:31 Christian Mack Note Edited: 0011501 View Revisions
2017-03-17 05:01 stenaloom Note Added: 0011503
2017-03-17 05:15 stenaloom Note Added: 0011504
2017-03-17 05:42 Christian Mack Note Added: 0011505
2017-03-17 09:19 stenaloom Note Added: 0011507
2017-03-17 09:22 stenaloom Note Added: 0011508
2017-03-17 09:22 stenaloom Note Edited: 0011508 View Revisions
2017-03-17 09:36 stenaloom Note Added: 0011509
2017-03-29 10:35 ludovic Relationship added related to 0004028
2017-04-21 12:32 ludovic Changeset attached => sogo master 513d81eb
2017-04-21 12:32 ludovic Assigned To => ludovic
2017-04-21 12:32 ludovic Resolution open => fixed
2017-04-21 12:33 ludovic Status new => resolved
2017-04-21 12:33 ludovic Fixed in Version => 3.2.9